Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000947TestLinkNew Featurepublic2007-07-18 19:292008-11-07 19:46
Reporterjordisan 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8 Beta 1 
Summary0000947: Enhacements in requirement specification
DescriptionIn order to use TestLink for requirement specification, we miss some features:

 * Attachments in requirements / requirement specification (for additional or external documentation)
 * Custom fields in requirements / requirement specification / projects

Which would be the best way to create these features, if we wanted to implement them ourselves?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0001881)
fman (administrator)
2007-07-24 22:19

If you want implement you are welcome.
My advice is:
1. Read other pieces of TL code where the feature you want, exists.
2. try to understand as much as possible the logic.
3. Comment heavily the pieces you change/add
4. send code to us, in order to test it and add to cvs
(0002626)
halperinko (reporter)
2007-11-09 03:57

As testers, we wouldn't want to rewrite requirements documents into TL - thus we should make this part as comfortable to the System Engineers as possible, which will result in them writing directly into TL.

Requirements are quite similar to test cases, if we ommit the steps part.
i.e. - should be managed using a tree, and have some fixed fields and some custom fields.
Have ability to track Req revisions etc.

Note that traceability wise, tracking requirement revision is very important - as it allows automatic identification of resulting test case changes - if a requirement was marked as covered, a testing team leader now has to review the test cases correctness based on the change in the req., and define if additions are needed, and only when implemented mark this req. as covered again.

- Issue History
Date Modified Username Field Change
2007-07-18 19:29 jordisan New Issue
2007-07-24 22:19 fman Note Added: 0001881
2007-11-07 00:02 fman Status new => assigned
2007-11-07 00:02 fman Assigned To => fman
2007-11-09 03:57 halperinko Note Added: 0002626
2007-12-03 19:42 fman Status assigned => resolved
2007-12-03 19:42 fman Fixed in Version => next development version (1.8 Beta1)
2007-12-03 19:42 fman Resolution open => fixed
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker